Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA816] DSA-816-1 xfree86


Vulnerability Assessment Details

[DSA816] DSA-816-1 xfree86

Vulnerability Assessment Summary
DSA-816-1 xfree86

Detailed Explanation for this Vulnerability Assessment

Søren Sandmann discovered a bug in memory allocation for pixmap images,
that can cause a crash of the X server or to execute arbitrary code.
The update for the old stable distribution (woody) also contains a
different correction for multiple vulnerabilities in libXpm (DSA 607,
CVE-2004-0914, Bug#309143), since the old fix contained a regression.
For the old stable distribution (woody) this problem has been fixed in
version 4.1.0-16woody7.
For the stable distribution (sarge) this problem has been fixed in
version 4.3.0.dfsg.1-14sarge1.
For the unstable distribution (sid) this problem has been fixed in
version 6.8.2.dfsg.1-7 of X.Org.
We recommend that you upgrade your xfree86 and xorg packages.


Solution : http://www.debian.org/security/2005/dsa-816
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is (C) 2007 Michel Arboi

Cables, Connectors

HP PROLIANT MICROSERVER G8 E3-1220LV2 2.3GHZ 4GB
$599.0
HP PROLIANT MICROSERVER G8 E3-1220LV2 2.3GHZ 4GB pictureHP Proliant Microserver Gen8
$299.0
HP Proliant Microserver Gen8 pictureSUPERMICRO MBD-X11SSH-LN4F-O Micro ATX Server Motherboard LGA 1151 Intel C236
$180.0
SUPERMICRO MBD-X11SSH-LN4F-O Micro ATX Server Motherboard LGA 1151 Intel C236 pictureHP Proliant N40L MicroServer 8GB
$51.7
HP Proliant N40L MicroServer 8GB picture


Discussions

No Discussions have been posted on this vulnerability.